From 65f8362600b0e0a4beb93a8b9c56e6a84ef86e50 Mon Sep 17 00:00:00 2001
From: Nic Costa <nic.costa@gmail.com>
Date: Fri, 12 Apr 2019 15:51:58 -0500
Subject: [PATCH] change path to upgrade scripts

the upgrade scripts are installed in the /wigwag/mbed folder
on Pelion OS Edge builds.
---
 .../modules/pal-linux/source/arm_uc_pal_linux_yocto_rpi.c             | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Index: git/lib/mbed-cloud-client/update-client-hub/modules/pal-linux/source/arm_uc_pal_linux_yocto_rpi.c
===================================================================
--- git.orig/lib/mbed-cloud-client/update-client-hub/modules/pal-linux/source/arm_uc_pal_linux_yocto_rpi.c
+++ git/lib/mbed-cloud-client/update-client-hub/modules/pal-linux/source/arm_uc_pal_linux_yocto_rpi.c
@@ -49,9 +49,9 @@ ARM_UC_PAAL_UPDATE_CAPABILITIES ARM_UC_P
 }
 
 arm_ucp_worker_t arm_uc_worker_parameters_active_details = {
-    .command = "/opt/arm/arm_update_active_details.sh",
+    .command = "/wigwag/mbed/arm_update_active_details.sh",
     .header   = 1,
-    .firmware = 0,
+    .firmware = 1,
     .location = 0,
     .offset   = 0,
     .size     = 0,
@@ -61,7 +61,7 @@ arm_ucp_worker_t arm_uc_worker_parameter
 };
 
 arm_ucp_worker_t arm_uc_worker_parameters_activate = {
-    .command = "/opt/arm/arm_update_activate.sh",
+    .command = "/wigwag/mbed/arm_update_activate.sh",
     .header   = 1,
     .firmware = 1,
     .location = 0,
@@ -72,6 +72,18 @@ arm_ucp_worker_t arm_uc_worker_parameter
     .post_runner = NULL
 };
 
+arm_ucp_worker_t arm_uc_worker_parameters_prepare = {
+    .command = "/wigwag/mbed/arm_update_prepare.sh",
+    .header   = 0,
+    .firmware = 1,
+    .location = 0,
+    .offset   = 0,
+    .size     = 0,
+    .success_event = ARM_UC_PAAL_EVENT_PREPARE_DONE,
+    .failure_event = ARM_UC_PAAL_EVENT_PREPARE_ERROR,
+    .post_runner = NULL
+};
+
 #if defined(ARM_UC_FEATURE_DELTA_PAAL) && (ARM_UC_FEATURE_DELTA_PAAL == 1)
 arm_ucp_worker_t arm_uc_worker_parameters_prepare = {
     .command = "/opt/arm/arm_update_prepare.sh",
@@ -99,7 +111,7 @@ arm_uc_error_t ARM_UC_PAL_Linux_Initiali
 #if defined(ARM_UC_FEATURE_DELTA_PAAL) && (ARM_UC_FEATURE_DELTA_PAAL == 1)
     arm_uc_worker_parameters.prepare        = &arm_uc_worker_parameters_prepare;
 #else
-    arm_uc_worker_parameters.prepare        = NULL;
+    arm_uc_worker_parameters.prepare        = &arm_uc_worker_parameters_prepare;
 #endif
     arm_uc_worker_parameters.read           = NULL;
     arm_uc_worker_parameters.write          = NULL;
